.header_top_block__menu_wrapper {
    max-width: 65%;
    width: 100%;

    .category-menu {
        max-width: 70%;
    }

    .responsive-hidden-button {
        &:hover ~ .hidden-links {
            visibility: visible;
        }
    }

    .responsive-hidden-nav {
        margin: 0;
        padding: 0;
        background-color: #ffffff;
        position: relative;
        min-width: 240px;

        .visible-links__item_href {
            display: block;
            padding: 0.35rem 23px;
            padding-right: 23px;
            background: #ffffff;
            white-space: nowrap;
            text-decoration: none;
            position: relative;

            // &.origami_icons_button {
            //     padding-right: 34px;
            // }

            &.origami_icons_button {
                padding-right: 34px;
            }
            &.origami_icons_button::after {
                right: 22px;
            }
        }

        .visible-links__item_span {
            display: block;
            padding: 0.35rem 23px;
            padding-right: 23px;
        }

        .visible-links__item:first-child .visible-links__item_span {
            padding-left: 0;
        }

        button {
            position: absolute;
            height: 100%;
            right: 0;
            padding: 0 1rem;
            border: 0;
            outline: none;
            cursor: pointer;
            background: #ffffff;
            z-index: 200;
        }

        .visible-links {
            display: inline-table;
            margin: 0;
            padding: 0;

            .visible-links__item {
                display: table-cell;
                padding: 0;
                position: relative;
                cursor: pointer;
                border-top: 1px solid transparent;

                &:first-child {
                    .visible-links__item_href {
                        padding: 0.35rem 1.2rem 0.35rem 0;
                    }
                }
            }
        }

        .hidden-links {
            visibility: hidden;
            position: absolute;
            right: 0;
            top: 100%;
            margin: 0;
            z-index: 150;
            box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.10);
            transition: all 0.1s ease-in-out;
            padding: 0 10px;
            background: #ffffff;

            &:hover {
                visibility: visible;
            }

            .icon-nav_button_menu {
                display: none;
            }

            .origami_icons_button {
                &:after {
                    display: none;
                }
            }

            li {
                display: block;
                margin: 0;
                padding: 0;

                .category_link__active_content {
                    display: none;
                }

                .visible-links__item_href {
                    display: block;
                    background: #ffffff;
                    border-top: 1px solid transparent;
                    border-left: 1px solid transparent;
                    border-right: 1px solid transparent;
                    padding: 5px 5px;
                    font-size: 13px;
                }

                &:last-child {
                    .visible-links__item_href {
                        border-bottom: 1px solid transparent;
                    }
                }
            }
        }

        .hidden {
            visibility: hidden;
        }
    }

    .visible-links__item {
        &:hover > .category_link__active_content {
            display: table;
            z-index: 405;
        }
    }

    .icon-nav_button_menu {
        position: absolute;
        display: block;
        content: '';
        top: 50%;
        right: -0.7rem;
        transform: rotate(45deg) translateY(-50%);
        transition: all 0.4s ease-in-out;
        transform-origin: 50% 0;
        width: 5px;
        height: 5px;
        border-bottom: 1px solid #000;
        border-right: 1px solid #000;
        margin-top: 0;
    }

    .category_link__active_content,
    .category_link__active_content_item {
        padding: 0;
        list-style-type: none;
        margin: 0;
    }

    .category_link__active_content_item {
        position: relative;
        background: #ffffff;
        color: #000000;

        &:hover {
            color: #ffffff;

            .category_link__active_content.children {
                display: block;
                left: 100%;
                top: 0;
            }
        }

        &.active {
            color: #fb0040;

            .visible-links__item_span {
                border-bottom: 1px solid#fb0040;
            }
        }

        .visible-links__item_span {
           padding: 5px;
        }
    }

    .category_link__active_content_item:before {
        content: unset;
    }


    .visible-links__item:before {
        content: unset;
    }


    .block_main_menu__content {
        display: flex;
        align-content: stretch;
        align-items: center;
        justify-content: space-between;
        width: 100%;
    }

    .block_main_menu__category {
        display: block;
        width: auto;
        z-index: 2;
    }

    .block_main_menu__category_link {
        display: block;
        height: 100%;
        padding: 0.8rem 0.1rem;
        border: 2px solid transparent;
        font-size: 1rem;
    }

    .category_link__active_content_item_link {
        font-size: 13px;
        padding: 5px;
        display: block;
    }

    .category_link__active_content {
        display: none;
        position: absolute;
        margin-top: 0;
        z-index: 400;
        left: 0;
        position: absolute;
        right: 0;
        top: 100%;
        margin: 0;
        z-index: 150;
        box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.1);
        padding: 0 10px;
        background: #ffffff;
    }

    .category_link__active_content.still {
        right: 0;
    }

    .category_link__active {
        position: relative;

        &:hover > .category_link__active_content {
            display: block;
        }
    }
}

.responsive-hidden-nav-container {
    .responsive-hidden-button {
        & ~ .hidden-links {
            visibility: hidden;

            &:hover {
                visibility: visible;
            }
        }

        &:hover ~ .hidden-links {
            visibility: visible;
        }
    }
}

@media (max-width: 1299.98px) {
    .header_top_block__menu_wrapper {
    //     width: 60%;

        .category-menu {
            width: 80%;
        }
    }
}



@media (max-width: 991.98px) {
    .header_top_block__menu_wrapper {
        width: 50%;
    }
}


@media (max-width: 767.98px) {
    .header_top_block__menu_wrapper {
        display: none;
    }
}
